#ifndef _BIOLOID_DYN_SLAVE_H
#define _BIOLOID_DYN_SLAVE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f4xx_hal.h"
#include "stm32_time.h"
#include "dynamixel_slave.h"
#include "comm.h"

extern TDynamixelSlave bioloid_dyn_slave;

void bioloid_dyn_slave_init(void);
void bioloid_dyn_slave_set_int(void);
void bioloid_dyn_slave_clear_int(void);
uint8_t bioloid_dyn_slave_is_int_set(void);

#ifdef __cplusplus
}
#endif

#endif

